<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Power News
	 * @since Power News 1.0.0
	 */

	/**
	 * power_news_doctype hook
	 *
	 * @hooked power_news_doctype -  10
	 *
	 */
	do_action( 'power_news_doctype' );

?>
<head>
<?php
	/**
	 * power_news_before_wp_head hook
	 *
	 * @hooked power_news_head -  10
	 *
	 */
	do_action( 'power_news_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>

<?php
	/**
	 * power_news_page_start_action hook
	 *
	 * @hooked power_news_page_start -  10
	 *
	 */
	do_action( 'power_news_page_start_action' ); 

	/**
	 * power_news_header_action hook
	 *
	 * @hooked power_news_header_start -  10
	 * @hooked power_news_site_branding -  20
	 * @hooked power_news_site_navigation -  30
	 * @hooked power_news_header_end -  50
	 *
	 */
	do_action( 'power_news_header_action' );

	/**
	 * power_news_content_start_action hook
	 *
	 * @hooked power_news_content_start -  10
	 *
	 */
	do_action( 'power_news_content_start_action' );

	/**
	 * power_news_header_image_action hook
	 *
	 * @hooked power_news_header_image -  10
	 *
	 */
	do_action( 'power_news_header_image_action' );
	if ( power_news_is_frontpage() ) {
    	$options = power_news_get_theme_options();

    	$sorted = explode( ',' , $options['frontpage_sortable'] );
    	
		foreach ( $sorted as $section ) {

			if ( empty( $section ) ) {
				return;
			}
			add_action( 'power_news_primary_content', 'power_news_add_'. $section .'_section' );
		}

		do_action( 'power_news_primary_content' );
	}